{% extends 'base.html.twig' %}

{% block title %}Cuadro Clínico{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block head_css %}
{{parent()}}
  <style media="print">
    @media print{@page {size:legal landscape}}
    @media print
    {
      a { color: black!important; text-decoration: none!important; }
      .table td, .table th { padding: 0.3rem!important; }
      .visible-print  { display: inherit !important; }
      .hidden-print   { display: none !important; }
    }
  </style>
{% endblock %}

{% block body %}
<div id="landscape">
  <section>
    <div class="cuadroClinico">
      <div class="container mb-4">
        <div class="row">
            <div class="col-6 float-right text-black">
              <h4>CUADRO CLÍNICO</h4>
            </div>
            <div class="col-6">
              <!-- <div class="row"> -->
              <div class="btn-group flex-wrap" role="group"  >
                <div class="col-6">
                  <a class="btn btn-primary btn-sm d-print-none"
                    href="{{ path('cuadros_clinicos_item_new', {'cuadroClinico': cuadros_clinico.id}) }}">
                    <span>
                      <i class="fas fa fa-plus"></i>
                    </span>
                    Nuevo item
                  </a>
                </div>
                <div class="col-6">
                  <a class="btn btn-primary btn-sm d-print-none"
                     href="#"
                     id="print">
                    <span>
                      <i class="fas fa fa-print"></i>
                    </span>
                    Imprimir
                  </a>
                </div>
              </div>
            </div>
        </div>
      </div>
      <div class="row text-black">
          <div class="col-5">
            <h5>Nombre y apellido: <a href="{{ path('pacientes_show', {'id': cuadros_clinico.paciente.id}) }}">{{cuadros_clinico.paciente.nombre}}, {{cuadros_clinico.paciente.apellido}} </a></h5>
          </div>
          <div class="col-3">
            <h5>Servicio: {{cuadros_clinico.servicio}}</h5>
          </div>
          <div class="col-2">
            <h5>Cama: {{cuadros_clinico.cama}}</h5>
          </div>
          <div class="col-2">
            <h5>Sala: {{cuadros_clinico.sala}}</h5>
          </div>
      </div>
      <div class="row">
        <div class="col-12">
          <table class="table table-fit table-responsive-sm" id="tabla">
            <thead>
              <tr>
                <th rowspan="2" class="border">Fecha</th>
                <th rowspan="2" class="border">Hora</th>
                <th colspan="2" class="border">T°</th>
                <th rowspan="2" class="border">R</th>
                <th rowspan="2" class="border">P</th>
                <th rowspan="2" class="border">T.A.</th>
                <th rowspan="2" class="border">Dolor</th>
                <th rowspan="2" class="border">GCS</th>
                <th rowspan="2" class="border">Peso</th>
                <th colspan="5" class="border">Ingresos</th>
                <th colspan="7" class="border">Egresos</th>
                <th rowspan="2" class="border">Observaciones</th>
              </tr>
              <tr>
                <th class="border">Ax</th>
                <th>Rc</th>

                <th class="border">Via Parenteral</th>
                <th class="border">SNG</th>
                <th class="border">Oral</th>
                <th class="border">Otros</th>
                <th class="border">Total</th>

                <th class="border">Orina</th>
                <th class="border">Catarsis</th>
                <th class="border">Vómito</th>
                <th class="border">Drenaje</th>
                <th class="border">SNG</th>
                <th class="border">Otros</th>
                <th class="border">Total</th>
              </tr>
            </thead>
            <tbody>
              {% for item in cuadros_clinico.cuadrosClinicosItems %}
              <tr class="border">
                <td class="border"><a href="{{ path('cuadros_clinicos_item_show', {'id': item.id}) }}">{{item.fecha|date('d/m/')~item.fecha|date('Y')|slice(2, 4)}}</a><br><h6><small>{{item.usuario.nombre ~' ' ~ item.usuario.apellido}}</small></h6></td>
                <td class="border">{{item.hora|date('H:i')}}</td>
                <td class="border">{{item.temperaturaAxila}}</td>
                <td class="border">{{item.temperaturaRectal}}</td>
                <td class="border">{{item.respiracion}}</td>
                <td class="border">{{item.pulso}}</td>
                <td class="border">{{item.tA}}</td>
                <td class="border">{{item.dolor}}</td>
                <td class="border">{{item.glasgow}}</td>
                <td class="border">{{item.peso}}</td>
                <td class="border">{{item.ingresosViaParenteral}}</td>
                <td class="border">{{item.ingresosSng}}</td>
                <td class="border">{{item.ingresosOral}}</td>
                <td class="border">{{item.ingresosOtros}}</td>
                <td class="border">{{item.ingresosTotal}}</td>
                <td class="border">{{item.egresosOrina}}</td>
                <td class="border">{{item.egresosCatarsis}}</td>
                <td class="border">{{item.egresosVomito}}</td>
                <td class="border">{{item.egresosDrenaje}}</td>
                <td class="border">{{item.egresosSng}}</td>
                <td class="border">{{item.egresosOtros}}</td>
                <td class="border">{{item.egresosTotal}}</td>
                <td class="border">{{item.observaciones}}</td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </section>
</div>
{% endblock %}

{% block javascripts %}
  {{parent()}}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.js"></script>
  <script src="{{asset('js/cuadros_clinicos.js')}}"></script>
  <script>
  Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
    el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
  });
</script>
{% endblock %}
